# POST /higgsfield/generate

**Method**: `POST`
**Endpoint**: `/higgsfield/generate`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
model
enum<string>
Required
  // provider-specific example normalized for English documentation
Enum Values:
standard
lite
turbo
motion_id
string
Required
  // provider-specific example normalized for English documentation
prompt
string
  // provider-specific example normalized for English documentation
Required
enhance_prompt
boolean
  // provider-specific example normalized for English documentation
Optional
Default Value:
true
seed
integer
Optional
  // provider-specific example normalized for English documentation
>= 1
<= 1000000
width
integer
  // provider-specific example normalized for English documentation
Optional
height
integer
  // provider-specific example normalized for English documentation
Optional
image
array
[string]
Required
  // provider-specific example normalized for English documentation
>= 1 items
<= 2 items
Example
{
"model"
:
"standard"
,
"motion_id"
:
"string"
,
"prompt"
:
"string"
,
"enhance_prompt"
:
true
,
"seed"
:
1
,
"width"
:
0
,
"height"
:
0
,
"image"
:
[
"string"
]
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/higgsfield/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "standard",
    "motion_id": "string",
    "prompt": "string",
    "enhance_prompt": true,
    "seed": 1,
    "width": 0,
    "height": 0,
    "image": [
        "string"
    ]
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Optional
Task ID, used for subsequent status queries
```

#### Example

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "description": "Task ID, used for subsequent status queries"
    }
  }
}

```
